package com.muyu.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/** 企业入驻
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/25 8:51
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Enterprise extends BaseEntity {
    /**
     *q企业入驻id
     * **/
    private Long id;
    /**
     *企业名称
     * **/
    private String enterpriseName;
    /**
     *法定代表人
     * **/
    private String legalPerson;
    /**
     *企业注册时获得的合法经营码
     * **/
    private String businessLicenseNumber;
    /**
     *企业成立的日期
     * **/
    private Date establishmentDate;
    /**
     *经营范围
     * **/
    private String businessScope;
    /**
     *注册地址
     * **/
    private String address;
    /**
     *联系企业的电话
     * **/
    private String contactPhone;
    /**
     *公司邮箱
     * **/
    private String email;
    /**
     *企业当前的状态
     * **/
    private String status;
    /**
     *企业入驻平台的日期
     * **/
    private Date registrationDate;
    /**
     *企业认证
     * **/
    private String certification;
    /**
     *开通服务id
     * **/
    private Long openServiceId;
    /**
     *增值服务id
     * **/
    private Integer addServiceId;

    /***
     * 开通服务
     * */
    private String openAdd;


    public String getOpenAdd() {
        return openAdd;
    }

    public void setOpenAdd(String openAdd) {
        this.openAdd = openAdd;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getBusinessLicenseNumber() {
        return businessLicenseNumber;
    }

    public void setBusinessLicenseNumber(String businessLicenseNumber) {
        this.businessLicenseNumber = businessLicenseNumber;
    }

    public Date getEstablishmentDate() {
        return establishmentDate;
    }

    public void setEstablishmentDate(Date establishmentData) {
        this.establishmentDate = establishmentData;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getContactPhone() {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getRegistrationDate() {
        return registrationDate;
    }

    public void setRegistrationDate(Date registrationDate) {
        this.registrationDate = registrationDate;
    }


    public String getCertification() {
        return certification;
    }

    public void setCertification(String certification) {
        this.certification = certification;
    }

    public Long getOpenServiceId() {
        return openServiceId;
    }

    public void setOpenServiceId(Long openServiceId) {
        this.openServiceId = openServiceId;
    }

    public Integer getAddServiceId() {
        return addServiceId;
    }

    public void setAddServiceId(Integer addServiceId) {
        this.addServiceId = addServiceId;
    }

    @Override
    public String toString(){
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id",getId())
                .append("enterpriseName",getEnterpriseName())
                .append("legalPerson",getLegalPerson())
                .append("businessLicenseNumber",getBusinessLicenseNumber())
                .append("establishmentDate",getEstablishmentDate())
                .append("businessScope",getBusinessScope())
                .append("address",getAddress())
                .append("contactPhone",getContactPhone())
                .append("email",getEmail())
                .append("status",getStatus())
                .append("registrationDate",getRegistrationDate())
                .append("certification",getCertification())
                .append("openServiceId",getOpenServiceId())
                .append("addServiceId",getAddServiceId())
                .toString();
    }


 }
