package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.domain.req.FenceGroupsEditReq;
import com.muyu.domain.req.FenceGroupsQueryReq;
import com.muyu.domain.req.FenceGroupsSaveReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/** 电字围栏组
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/31 15:16
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("fence_groups")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "FenceGroups", description = "电子围栏组")
public class FenceGroups extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 电子围栏组id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "电子围栏组id", value = "电子围栏组id")
    private Long id;

    /** 电子围栏名称 */
    @Excel(name = "电子围栏名称")
    @ApiModelProperty(name = "电子围栏名称", value = "电子围栏名称")
    private String groupName;

    /**
     * 查询构造器
     */
    public static FenceGroups queryBuild( FenceGroupsQueryReq fenceGroupsQueryReq){
        return FenceGroups.builder()
                .groupName(fenceGroupsQueryReq.getGroupName())
                .build();
    }

    /**
     * 添加构造器
     */
    public static FenceGroups saveBuild(FenceGroupsSaveReq fenceGroupsSaveReq){
        return FenceGroups.builder()
                .groupName(fenceGroupsSaveReq.getGroupName())
                .build();
    }

    /**
     * 修改构造器
     */
    public static FenceGroups editBuild(Long id, FenceGroupsEditReq fenceGroupsEditReq){
        return FenceGroups.builder()
                .id(id)
                .groupName(fenceGroupsEditReq.getGroupName())
                .build();
    }


}
