package com.muyu.domain;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 车辆基本信息
 *
 * @author ruoyi
 * @date 2024-05-27
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class Information extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 车辆vin */
    @Excel(name = "车辆vin")
    private String number;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private Long typeId;

    /** 电子围栏id */
    @Excel(name = "电子围栏id")
    private Long electronicId;

    /** 电机厂商 */
    @Excel(name = "电机厂商")
    private String motor;

    /** 电池厂商 */
    @Excel(name = "电池厂商")
    private String battery;

    /** 电机编号 */
    @Excel(name = "电机编号")
    private String motorNumber;

    /** 电池编号 */
    @Excel(name = "电池编号")
    private String batteryNumber;

    /** 企业id */
    @Excel(name = "企业id")
    private Long enterpriseId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNumber(String number)
    {
        this.number = number;
    }

    public String getNumber()
    {
        return number;
    }
    public void setTypeId(Long typeId)
    {
        this.typeId = typeId;
    }

    public Long getTypeId()
    {
        return typeId;
    }
    public void setElectronicId(Long electronicId)
    {
        this.electronicId = electronicId;
    }

    public Long getElectronicId()
    {
        return electronicId;
    }
    public void setMotor(String motor)
    {
        this.motor = motor;
    }

    public String getMotor()
    {
        return motor;
    }
    public void setBattery(String battery)
    {
        this.battery = battery;
    }

    public String getBattery()
    {
        return battery;
    }
    public void setMotorNumber(String motorNumber)
    {
        this.motorNumber = motorNumber;
    }

    public String getMotorNumber()
    {
        return motorNumber;
    }
    public void setBatteryNumber(String batteryNumber)
    {
        this.batteryNumber = batteryNumber;
    }

    public String getBatteryNumber()
    {
        return batteryNumber;
    }
    public void setEnterpriseId(Long enterpriseId)
    {
        this.enterpriseId = enterpriseId;
    }

    public Long getEnterpriseId()
    {
        return enterpriseId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("number", getNumber())
            .append("typeId", getTypeId())
            .append("electronicId", getElectronicId())
            .append("motor", getMotor())
            .append("battery", getBattery())
            .append("motorNumber", getMotorNumber())
            .append("batteryNumber", getBatteryNumber())
            .append("enterpriseId", getEnterpriseId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
