package com.muyu.domain.datasources;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 数据源对象
 * @ClassName DataSource
 * @Author
 * @Date 2024/6/3 20:42
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Datasource extends BaseEntity {

    /**
     *编号id
     * */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     *数据库ip
     * */
    private String ip;
    /**
     *数据库
     * */
    @TableField("`datasource`")
    private String database;
    /**
     *用户名
     * */
    private String username;
    /**
     *密码
     * */
    private String password;


}

