package com.muyu.domain.datasources;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName Result
 * @Description
 * @Author
 * @Date 2024/3/13 11:34
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Result<T> {
    private Integer code;
    private String msg;
    private T data;

    public static <T> Result<T> success(){
        return new Result<>(200,"操作成功",null);
    }

    public static <T> Result<T> success(T data){
        return new Result<>(200,"操作成功",data);
    }

    public static <T> Result<T> success(T data,String msg){
        return new Result<>(200,msg,data);
    }

    public static <T> Result<T> error(){
        return new Result<>(500,"操作失败",null);
    }

    public static <T> Result<T> error(String msg){
        return new Result<>(500,msg,null);
    }
}

