package com.muyu.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 电子围栏对象 fences
 *
 * @author muyu
 * @date 2024-06-02
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FencesSaveReq", description = "电子围栏")
public class FencesSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 围栏id */

    @ApiModelProperty(name = "围栏id", value = "围栏id")
    private Long id;

    /** 围栏组id */

    @ApiModelProperty(name = "围栏组id", value = "围栏组id")
    private Long groupId;

    /** 电子围栏名称 */

    @ApiModelProperty(name = "电子围栏名称", value = "电子围栏名称")
    private String fenceName;

    /** 围栏类型 */

    @ApiModelProperty(name = "围栏类型", value = "围栏类型")
    private String fenceType;

    /** 半径 */

    @ApiModelProperty(name = "半径", value = "半径")
    private String radius;

    /** 驶入、驶出 */

    @ApiModelProperty(name = "驶入、驶出", value = "驶入、驶出")
    private String eventType;

    /** 围栏状态 */

    @ApiModelProperty(name = "围栏状态", value = "围栏状态")
    private String status;

    /** 坐标 */

    @ApiModelProperty(name = "坐标", value = "坐标")
    private String polygonPoints;

}
