package com.muyu.networking.controller;

import javax.servlet.http.HttpServletResponse;


import com.muyu.common.core.utils.poi.ExcelUtil;
import com.muyu.domain.OpenServiceAdd;
import com.muyu.networking.service.OpenServiceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.muyu.common.log.annotation.Log;
import com.muyu.common.log.enums.BusinessType;
import com.muyu.common.security.annotation.RequiresPermissions;

import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.domain.Result;

import com.muyu.common.core.web.page.TableDataInfo;

import java.util.List;

/**
 * 【请填写功能名称】Controller
 *
 * @author ruoyi
 * @date 2024-05-25
 */
@RestController
@RequestMapping("/service")
public class OpenServiceController extends BaseController
{
    @Autowired
    private OpenServiceService openServiceService;

    /**
     * 查询【请填写功能名称】列表
     */
    @RequiresPermissions("system:service:list")
    @GetMapping("/list")
    public Result<TableDataInfo<OpenServiceAdd>> list(OpenServiceAdd openService)
    {
        startPage();
        List<OpenServiceAdd> list = openServiceService.selectOpenServiceList(openService);
        return getDataTable(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @RequiresPermissions("system:service:export")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, OpenServiceAdd openService)
    {
        List<OpenServiceAdd> list = openServiceService.selectOpenServiceList(openService);
        ExcelUtil<OpenServiceAdd> util = new ExcelUtil<OpenServiceAdd>(OpenServiceAdd.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @RequiresPermissions("system:service:query")
    @GetMapping(value = "/{id}")
    public Result getInfo(@PathVariable("id") Long id)
    {
        return success(openServiceService.selectOpenServiceById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @RequiresPermissions("system:service:add")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping
    public Result add(@RequestBody OpenServiceAdd openService)
    {
        return toAjax(openServiceService.insertOpenService(openService));
    }

    /**
     * 修改【请填写功能名称】
     */
    @RequiresPermissions("system:service:edit")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PutMapping
    public Result edit(@RequestBody OpenServiceAdd openService)
    {
        return toAjax(openServiceService.updateOpenService(openService));
    }

    /**
     * 删除【请填写功能名称】
     */
    @RequiresPermissions("system:service:remove")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public Result remove(@PathVariable Long[] ids)
    {
        return toAjax(openServiceService.deleteOpenServiceByIds(ids));
    }
}
