package com.muyu.networking.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.domain.Fences;
import com.muyu.networking.mapper.FencesMapper;
import com.muyu.networking.service.FenceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/31 16:23
 */
@Service
public class FenceServiceImpl extends ServiceImpl<FencesMapper, Fences> implements FenceService {

    @Resource
    private FencesMapper fenceMapper;


    @Override
    public List<Fences> list(Fences fences) {
        LambdaQueryWrapper<Fences> fencesLambdaQueryWrapper = new LambdaQueryWrapper<>();
        if (fences.getId() != null) {
            fencesLambdaQueryWrapper.eq(Fences::getId, fences.getId());
        }
        if (fences.getFenceName() != null) {
            fencesLambdaQueryWrapper.like(Fences::getFenceName, fences.getFenceName());
        }
        if (fences.getFenceType() != null) {
            fencesLambdaQueryWrapper.eq(Fences::getFenceType, fences.getFenceType());
        }
        if (fences.getStatus() != null) {
            fencesLambdaQueryWrapper.eq(Fences::getStatus, fences.getStatus());
        }
        if (fences.getGroupId() != null) {
            fencesLambdaQueryWrapper.eq(Fences::getGroupId, fences.getGroupId());
        }

        return list(fencesLambdaQueryWrapper);
    }

    @Override
    public int insertFence(Fences fences) {
        int count=0;
        fences.setCreateBy(SecurityUtils.getUsername());
        fences.setFenceName("电子围栏"+(count++));
        fences.setCreateTime(new Date());
        String string = fences.getPath().toString();
        fences.setRadius(string);
        fences.setPolygonPoints(string);
        fenceMapper.add(fences);
        return 1;
    }
}

