package com.muyu.vehicle.myDatasource.domain;

import com.muyu.common.core.utils.StringUtils;
import com.muyu.vehicle.myDatasource.constants.DatasourceConstant;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/10 19:55
 */
@AllArgsConstructor
@Data
@NoArgsConstructor
@Builder
public class DataSourceInfo {


    private String key;

    private String url;

    private String userName;

    private String password;


    public static DataSourceInfo hostAndPortBuild(String key, String host, Integer port) {
        return DataSourceInfo.builder()
                .key(key)
                .url(StringUtils.format(DatasourceConstant.DATASOURCE_URL, host, port))
                .password(DatasourceConstant.PASSWORD)
                .userName(DatasourceConstant.USER_NAME)
                .build();
    }


}
