package com.muyu.vehicle.myDatasource.rule;

import com.alibaba.druid.pool.DruidDataSource;
 import com.muyu.vehicle.myDatasource.holder.DynamicDataSourceHolder;
import org.springframework.jdbc.datasource.lookup.AbstractRoutingDataSource;

import java.util.Map;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/10 19:55
 */
public class DynamicDataSource extends AbstractRoutingDataSource {
    /**
     * 备份所有数据源信息 备份的是 指针
     */
    private Map<Object, Object> defineTargetDataSources;

    /**
     * 判断键是否存在
     */
    public boolean hashKey(String key) {
        return defineTargetDataSources.containsKey(key);
    }

    /**
     * 添加数据库
     *
     * @param key   键
     * @param value 数据源
     */
    public void put(String key, DruidDataSource value) {
        defineTargetDataSources.put(key, value);
        this.afterPropertiesSet();
    }

    /**
     * 决定当前线程使用哪个数据源
     */
    @Override
    protected Object determineCurrentLookupKey() {
        return DynamicDataSourceHolder.getDynamicDataSourceKey();
    }

}
